#!/usr/bin/env python
# -*- coding: utf-8 -*-

# # 2018-09-18 - Rappels sur pandas et maplotlib
# 
# Manipulation de données autour du jeu des passagers du Titanic qu'on peut récupérer sur [opendatasoft](https://public.opendatasoft.com/explore/dataset/titanic-passengers/?flg=fr) ou [awesome-public-datasets](https://github.com/awesomedata/awesome-public-datasets/tree/master/Datasets).

# In[1]:


import pandas


# In[2]:


df = pandas.read_csv("titanic.csv/titanic.csv")


# In[3]:


type(df)


# In[4]:


df.head(n=2)


# In[5]:


subset = df[ ["PassengerId", "Survived", "Pclass"]   ]
subset.head(n=2)


# In[6]:


survived = subset[ ["Survived", "Pclass"] ].groupby(["Pclass"]).sum()
compte = subset[ ["Survived", "Pclass"] ].groupby(["Pclass"]).count()
compte.columns = ['total']


# In[7]:


survived


# In[8]:


compte


# In[9]:


jointure = survived.join(compte)
jointure


# In[10]:


jointure["survie"] = jointure['Survived'] / jointure.total
jointure


# In[11]:


get_ipython().run_line_magic('matplotlib', 'inline')


# In[12]:


ax = jointure[['survie']].plot(kind="bar", figsize=(2, 2))
ax.set_title("Titanic")
ax.set_ylabel("%");


# In[13]:


import matplotlib.pyplot as plt
fig, ax = plt.subplots(1, 2, figsize=(8,3))
jointure[['survie']].plot(kind="bar", ax=ax[0])
ax[0].set_title("Titanic")
ax[0].set_ylabel("%");
jointure.drop('survie', axis=1).plot(kind="bar", ax=ax[1])
ax[1].set_title("Titanic")
ax[1].set_ylabel("%");


# In[14]:


jointure.to_excel("titanic.xlsx")


# In[15]:


df.head(n=2)


# In[16]:


mat = df[['Survived', 'Age']].values


# In[17]:


mat.T


# In[18]:


mat.T @ mat


# In[19]:


mat @ mat.T


# In[20]:


df.tail(n=2)


# In[21]:


names = list(df['Name'])
names
nom = names[0]
nom


# In[22]:


nom.split(',')[1].split('.')[0].strip().lower()


# In[23]:


mr = []
for nom in names:
    mr.append(nom.split(',')[1].split('.')[0].strip().lower())


# In[24]:


df['mr'] = mr


# In[25]:


gr = df[ ['Sex', "mr", "PassengerId"] ].groupby(['Sex', "mr"], as_index=False).count()


# In[26]:


gr.head()


# In[27]:


gr.pivot("mr", "Sex", "PassengerId")


# In[28]:





# In[29]: